Package commoble.morered.wire_post

# Class WireRayTraceContext

java.lang.Object
commoble.morered.wire_post.WireRayTraceContext

public class WireRayTraceContext extends Object
ClipContext but without requiring an entity

## Field Summary

Fields
Modifier and Type
Field
Description
`final net.minecraft.world.level.ClipContext.Block`
`blockMode`
`final net.minecraft.world.phys.shapes.CollisionContext`
`context`
`final net.minecraft.world.level.ClipContext.Fluid`
`fluidMode`
`final net.minecraft.world.phys.Vec3`
`from`
`final net.minecraft.world.phys.Vec3`
`to`

## Constructor Summary

Constructors
Constructor
Description
`WireRayTraceContext(WireRayTraceSelectionContext selectionContext, net.minecraft.world.phys.Vec3 from, net.minecraft.world.phys.Vec3 to, net.minecraft.world.level.ClipContext.Block blockModeIn, net.minecraft.world.level.ClipContext.Fluid fluidModeIn)`

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.world.phys.shapes.VoxelShape`
`getBlockShape(net.minecraft.world.level.block.state.BlockState blockStateIn, net.minecraft.world.level.BlockGetter worldIn, net.minecraft.core.BlockPos pos)`
`net.minecraft.world.phys.shapes.VoxelShape`
`getFluidShape(net.minecraft.world.level.material.FluidState stateIn, net.minecraft.world.level.BlockGetter worldIn, net.minecraft.core.BlockPos pos)`
`net.minecraft.world.phys.Vec3`
`getFrom()`
`net.minecraft.world.phys.Vec3`
`getTo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### from

public final net.minecraft.world.phys.Vec3 from

### to

public final net.minecraft.world.phys.Vec3 to

### blockMode

public final net.minecraft.world.level.ClipContext.Block blockMode

### fluidMode

public final net.minecraft.world.level.ClipContext.Fluid fluidMode

### context

public final net.minecraft.world.phys.shapes.CollisionContext context

## Constructor Details

### WireRayTraceContext

public WireRayTraceContext(WireRayTraceSelectionContext selectionContext, net.minecraft.world.phys.Vec3 from, net.minecraft.world.phys.Vec3 to, net.minecraft.world.level.ClipContext.Block blockModeIn, net.minecraft.world.level.ClipContext.Fluid fluidModeIn)

## Method Details

### getTo

public net.minecraft.world.phys.Vec3 getTo()

### getFrom

public net.minecraft.world.phys.Vec3 getFrom()

### getBlockShape

public net.minecraft.world.phys.shapes.VoxelShape getBlockShape(net.minecraft.world.level.block.state.BlockState blockStateIn, net.minecraft.world.level.BlockGetter worldIn, net.minecraft.core.BlockPos pos)

### getFluidShape

public net.minecraft.world.phys.shapes.VoxelShape getFluidShape(net.minecraft.world.level.material.FluidState stateIn, net.minecraft.world.level.BlockGetter worldIn, net.minecraft.core.BlockPos pos)